<template>
  <el-cascader
    :options="options"
    :props="{
      multiple: true,
      value: 'id',
      children: 'nodes',
      label: 'name',
    }"
    v-model="modelValue"
  />
</template>

<script setup>
import { layoutFnGetTrainingPlateType } from "@/assets/js/data_dictionary.js";
import { useVModel } from "@vueuse/core";

defineOptions({
  name: "LayoutTrainingSectionCascader",
});
const props = defineProps({
  modelValue: {
    type: [String, Array],
    required: true,
    default: "",
  },
});
const emits = defineEmits(["update:modelValue"]);
const modelValue = useVModel(props, "modelValue", emits);
const options = await layoutFnGetTrainingPlateType();
</script>

<style scoped></style>
